ulams config
Generated from front/cli (ulams schema)
ulams config create
Section titled “ulams config create”Set config for registered config keys.
Kind: write. Stability: stable. MCP tool: config_create. Scopes: settings:write.
Endpoints: POST /api/admin/config.
| Flag | Type | Required | Description |
|---|---|---|---|
--body |
unknown | Request body (JSON) |
# Set config for registered config keysulams config create --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "body": { "description": "Request body (JSON)" } }, "additionalProperties": {}}ulams config get
Section titled “ulams config get”Read a CLI setting (defaultOutput, color).
Kind: local (idempotent). Stability: stable. MCP tool: config_get (not exposed). Scopes: none.
| Flag | Type | Required | Description |
|---|---|---|---|
--key (positional) |
string | Setting name; omit for all. |
# All settingsulams config getInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "key": { "description": "Setting name; omit for all.", "type": "string", "enum": [ "defaultOutput", "color" ] } }}ulams config list
Section titled “ulams config list”Get admin config.
Kind: read (idempotent). Stability: stable. MCP tool: config_list. Scopes: settings:read.
Endpoints: GET /api/admin/config.
# Get admin configulams config list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams config set
Section titled “ulams config set”Change a CLI setting (defaultOutput, color).
Kind: local (idempotent). Stability: stable. MCP tool: config_set (not exposed). Scopes: none.
| Flag | Type | Required | Description |
|---|---|---|---|
--key (positional) |
string | yes | |
--value (positional) |
string | yes |
# Always print JSONulams config set defaultOutput jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "key": { "type": "string", "enum": [ "defaultOutput", "color" ] }, "value": { "type": "string" } }, "required": [ "key", "value" ]}